package danielcortes.xyz.models.documentos;

import danielcortes.xyz.models.caja.Caja;
import java.util.Objects;

public class Documentos {
  public final static Documentos EMPTY;

  static{
    EMPTY = new Documentos();
    EMPTY.setCaja(Caja.EMPTY);
  }

  private int id;
  private int cheques;
  private int tarjetas;
  private int retiros;
  private Caja caja;

  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  public int getCheques() {
    return cheques;
  }

  public void setCheques(int cheques) {
    this.cheques = cheques;
  }

  public int getTarjetas() {
    return tarjetas;
  }

  public void setTarjetas(int tarjetas) {
    this.tarjetas = tarjetas;
  }

  public int getRetiros() {
    return retiros;
  }

  public void setRetiros(int retiros) {
    this.retiros = retiros;
  }

  public Caja getCaja() {
    return caja;
  }

  public void setCaja(Caja caja) {
    this.caja = caja;
  }

  @Override
  public String toString() {
    return "Documentos{" +
        "id=" + id +
        ", cheques=" + cheques +
        ", tarjetas=" + tarjetas +
        ", retiros=" + retiros +
        ", caja=" + caja +
        '}';
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (!(o instanceof Documentos)) {
      return false;
    }
    Documentos that = (Documentos) o;
    return id == that.id &&
        cheques == that.cheques &&
        tarjetas == that.tarjetas &&
        retiros == that.retiros &&
        Objects.equals(caja, that.caja);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, cheques, tarjetas, retiros, caja);
  }
}
